Bug 807279 - Support WSRP applications for Export/Import
Support WSRP applications for Export/Import
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.2.ER01
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 08:26 EDT by Nick Scavelli
Modified: 2015-02-08 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When WSRP is added to a page, and a user attempts to export the page using the portal management functions, an exception displays stating WSRP is not supported. This issue is being investigated, and will be included in a future release of the portal. There is no workaround to this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8733 by hfnukal at 2012-06-20 11:33:39 EDT (show)
8733 by hfnukal at 2012-06-20 11:33:39 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807279 - Support WSRP applications for Export/Import

4 files changed:

  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/main/java/org/exoplatform/portal/mop/management/binding/xml/AbstractMarshaller.java (+130 / -116)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/main/java/org/exoplatform/portal/mop/management/binding/xml/Element.java (+1 / -0)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/java/org/exoplatform/portal/mop/management/binding/xml/PageMarshallerTest.java (+49 / -23)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/org/exoplatform/portal/mop/management/pages-loaded.xml (+7 / -1)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2404 Major Resolved Site Import/Export Error 2016-07-25 05:17 EDT

  None (edit)
Description Nick Scavelli 2012-03-27 08:26:17 EDT
Description of problem:
WSRP applications are supported in pages.xml now. We need to support this for export/import as well.

Version-Release number of selected component (if applicable):
5.2.0

How reproducible:
Everytime

Steps to Reproduce:
1. Add WSRP to a page
2. Export the page using gatein management
  
Actual results:
Exception stating WSRP is not supported

Expected results:
An export including the pages.xml with valid WSRP configuration.

Additional info:
Comment 1 Jared MORGAN 2012-03-28 22:18:45 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When WSRP is added to a page, and a user attempts to export the page using the portal management functions, an exception displays stating WSRP is not supported. This issue is being investigated, and will be included in a future release of the portal. There is no workaround to this issue.

Note You need to log in before you can comment on or make changes to this bug.